# Course Fees

Course Fees

 - [POST /courseFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/createcoursefee.md): This method will auto-generate an ID and create a new course fee. If an ID is specified for the course fee, an error will be thrown.
 - [POST /courseFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /courseFees/{tenantId}/course/{course_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/listfeesbycourseid.md): Returns a list of records with the specified course_id
 - [POST /courseFees/{tenantId}/public/onlineStore](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/getfeesforonlinestore.md): Public endpoint that gets fees for use in the online store
 - [DELETE /courseFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/deletecoursefee.md): This method will delete a course fee with the specified ID.
 - [GET /courseFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/getcoursefee.md): This method will look up a course fee by the specified ID and return it back.
 - [PATCH /courseFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/patchcoursefee.md): This method will patch an existing course fee with the specified ID, using the HTTP PATCH specification.
 - [PUT /courseFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-fees/updatecoursefee.md): This method will update an existing course fee with the specified ID.
